| GlsMap Toolkit 1.10.2

List of all members
disti::GlsMapSymbologyStdDataSource Class Reference

`#include <gls_map_symbology_standard_data_source.h>`

Inheritance diagram for disti::GlsMapSymbologyStdDataSource:

## Additional Inherited Members
Public Types inherited from disti::GlsMapSymbologyDataSource
typedef long | IconID
typedef long | PathID
typedef DynamicArray< IconID > | IconIDList
typedef DynamicArray< PathID > | PathIDList
Public Member Functions inherited from disti::GlsMapSymbologyBasicDataSource< GlsMapSymbologyStdIcon, GlsMapSymbologyStdPath >
void | GetSymbolsInRegion (GlsMapSymbology *symbology, const GeoRect &region, IconIDList &icons, PathIDList &paths) DISTI_METHOD_OVERRIDE
DisplayObject * | GetIconGeometry (IconID iconID, GlsMapSymbology *symbology) DISTI_METHOD_OVERRIDE
void | GetIconLocation (IconID iconID, GeoCoord &location) DISTI_METHOD_OVERRIDE
DisplayObject * | GetPathGeometry (PathID pathID, GlsMapSymbology *symbology) DISTI_METHOD_OVERRIDE
long | GetPathPointCount (PathID pathID) DISTI_METHOD_OVERRIDE
void | GetPathPointLocation (PathID pathID, long point, GeoCoord &locationOut) DISTI_METHOD_OVERRIDE
void | SetupIconForRendering (GlsMapSymbology *, IconID iconID, DisplayObject *iconGeometry) DISTI_METHOD_OVERRIDE
void | SetupPathForRendering (GlsMapSymbology *, PathID pathID, DisplayObject *iconGeometry) DISTI_METHOD_OVERRIDE
void | PostDraw (disti::GlsMapView *view, disti::GlsMapSymbology *symbology) DISTI_METHOD_OVERRIDE
virtual bool | IconIsVisible (GlsMapSymbologyStdIcon *icon)
virtual bool | PathIsVisible (GlsMapSymbologyStdPath *path)
virtual IconID | AddIcon (const GeoCoord &location, int geometryIndex)
virtual GlsMapSymbologyStdIcon * | GetIcon (IconID iconID)
virtual unsigned int | GetIconCount ()
virtual void | UpdateIcon (IconID iconID, GeoCoord &location)
virtual void | UpdateIcon (IconID iconID, GeoCoord &location, int geometryIndex)
virtual PathID | AddPath ()
virtual GlsMapSymbologyStdPath * | GetPath (PathID pathID)
virtual unsigned int | GetPathCount ()
virtual void | RemoveIcon (IconID iconID)
virtual void | RemovePath (PathID pathID)
virtual void | RemoveAllIcons ()
virtual void | RemoveAllPaths ()
Public Member Functions inherited from disti::GlsMapSymbologyDataSource
| GlsMapSymbologyDataSource ()
virtual | ~GlsMapSymbologyDataSource ()
virtual void | GetSymbolsInRegion (disti::GlsMapSymbology *symbology, const disti::GeoRect &region, IconIDList &icons, PathIDList &paths)=0
virtual disti::DisplayObject * | GetIconGeometry (IconID iconID, disti::GlsMapSymbology *symbology)=0
virtual void | GetIconLocation (IconID iconID, disti::GeoCoord &locationOut)=0
virtual disti::DisplayObject * | GetPathGeometry (PathID pathID, disti::GlsMapSymbology *symbology)=0
virtual long | GetPathPointCount (PathID pathID)=0
virtual void | GetPathPointLocation (PathID pathID, long pointNum, disti::GeoCoord &locationOut)=0
virtual void | SetupIconForRendering (disti::GlsMapSymbology *symbology, IconID iconID, disti::DisplayObject *iconGeometry)=0
virtual void | SetupPathForRendering (disti::GlsMapSymbology *symbology, PathID pathID, disti::DisplayObject *pathGeometry)=0
virtual void | PostDraw (disti::GlsMapView *view, disti::GlsMapSymbology *symbology)=0
Protected Member Functions inherited from disti::GlsMapSymbologyBasicDataSource< GlsMapSymbologyStdIcon, GlsMapSymbologyStdPath >
IconID | GetNextIconID ()
int | FindIconByID (IconID id)
PathID | GetNextPathID ()
int | FindPathByID (PathID id)
Protected Attributes inherited from disti::GlsMapSymbologyBasicDataSource< GlsMapSymbologyStdIcon, GlsMapSymbologyStdPath >
DynamicArray< GlsMapSymbologyStdIcon, false > | _iconArray
DynamicArray< IconID > | _iconIDArray
IconID | _nextIconID
DynamicArray< GlsMapSymbologyStdPath, false > | _pathArray
DynamicArray< PathID > | _pathIDArray
PathID | _nextPathID

## Detailed Description

Std data source used by the GlsMapSymbology class by default. Extends the GlsMapSymbologyBasicDataSource to store resource values that will be applied to the paths/icons when they are drawn.

The documentation for this class was generated from the following files:

- gls_map_symbology_standard_data_source.h
- gls_map_symbology_standard_data_source.cpp